Create Adyghe Wikipedia
Closed, ResolvedPublic

Description

Hi,

The language committee and WMF Board have approved the creation of Wikipedia in Adyghe.

Language code: ady
Site URL: ady.wikipedia.org
Project name: Википедие
Project namespace: Википедие
Project talk namespace: Википедием и тегущыӀэн
Project logo: http://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-ady.png
Timezone: UTC
Language name: адыгабзэ
Enable uploads: yes

Thank you.

Meta reference: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Adyghe

Amire80 created this task.Feb 2 2016, 11:15 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added a subscriber: Amire80.
Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya, Aklapper. · View Herald TranscriptFeb 2 2016, 11:15 AM
Amire80 updated the task description. (Show Details)Feb 2 2016, 11:15 AM
Amire80 set Security to None.
MarcoAurelio added a subscriber: MarcoAurelio.EditedFeb 2 2016, 11:18 AM

Just a note regarding uploads (@Nemo_bis might have more info). It was my
understanding that projects without a valid exemption doctrine policy will
not be allowed to do local uploads, so I'm not sure if uploading should be
enabled.

No problem with me, whatever the policy says is OK. When in doubt, I support Commons.

(I just copied the template from an older ticket about another language.)

The pertinent policy pages/discussions are https://meta.wikimedia.org/wiki/Requests_for_comment/Disable_local_uploads_on_smaller_wikis and https://meta.wikimedia.org/wiki/Local_uploads_policy, I believe. The policy is still marked as "draft", though.

Amire80 updated the task description. (Show Details)Feb 2 2016, 2:52 PM

Change 267886 had a related patch set uploaded (by Alex Monk):
Add ady language to DNS

https://gerrit.wikimedia.org/r/267886

@jcrespo: fyi, another DB creation happening... Probably not today for obvious reasons, but soon?

Meno25 added a subscriber: Meno25.Feb 2 2016, 3:04 PM

Thanks for the CC. Aside from the obvious, no blocker as it would go to the the default s3 shard. Pleas ping me again on IRC when you are going to do it.

Change 268004 had a related patch set uploaded (by Dereckson):
Initial configuration for ady.wikipedia

https://gerrit.wikimedia.org/r/268004

Dereckson added a subscriber: Dereckson.EditedFeb 2 2016, 9:54 PM

Do they wish to enable by default the Visual Editor?

What are their desiderata about Flow?

Change 268016 had a related patch set uploaded (by Dereckson):
RESTBase and Labs DNS configuration for ady.wikipedia

https://gerrit.wikimedia.org/r/268016

For the Visual Editor, I discussed the issue with James, we enable it for new wikis.

We're also not encouraging new wikis to take on Flow as it's not ready for a from-scratch environment.

Nemo_bis removed a subscriber: Nemo_bis.Feb 3 2016, 7:38 AM

Change 267886 merged by Giuseppe Lavagetto:
Add ady language to DNS

https://gerrit.wikimedia.org/r/267886

Change 268016 merged by Dzahn:
RESTBase and Labs DNS configuration for ady.wikipedia

https://gerrit.wikimedia.org/r/268016

greg added a subscriber: greg.Feb 4 2016, 8:27 PM
Florian added a subscriber: Florian.Feb 5 2016, 9:12 AM

@greg: So I think we can schedule this for after wmf.13 arrives on wikipedias on Thursday 11th... Unless we want to backport the patches and get it done earlier than that.

greg added a comment.Feb 5 2016, 4:44 PM

@Krenair: after wmf.13 goes to group2 (what you said) is my suggestion.

I was going to add something like this to the calendar:

{{#invoke:Deployment schedule|row
|when=2016-02-11 14:00 SF
|length=1
|window=[[phabricator:T125501|Adyghe Wikipedia creation]]
|who={{ircnick|Krenair|Alex}}
|what=On terbium, run mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki ady wikipedia adywiki ady.wikipedia.org

{{gerrit|268004}} - make wikiversions rebase, merge

On mira:
* Pull, merge change
* Run sync-dir dblists; sync-wikiversions; sync-file langlist; sync-file wmf-config/InitialiseSettings.php; sync-file w/static/images/project-logos/adywiki.png
* Run mwscript extensions/WikimediaMaintenance/filebackend/setZoneAccess.php adywiki --backend=local-multiwrite
* Run updateinterwikicache
}}|

But, I just noticed these steps for new languages which I think we missed:

Make sure that the language code appears in UniversalLanguageSelector's langdb (file data/langdb.yaml).
Add the language code to the ContentTranslation registry - cxserver repository, files config.dev.yaml and config.prod.yaml, in the source and target sections in each.

Change 268697 had a related patch set uploaded (by Alex Monk):
Add ady language

https://gerrit.wikimedia.org/r/268697

Not sure where that ULS file is.... @Nikerabbit?
@aude, should this start off as being part of wikidataclient.dblist?

aude added a comment.Feb 5 2016, 5:49 PM

@Krenair I think being added to wikidataclient.dblist initially is ok

Added to the deployments page.

Raymond added a subscriber: Raymond.Feb 6 2016, 6:34 PM

Change 268004 merged by jenkins-bot:
Initial configuration for ady.wikipedia

https://gerrit.wikimedia.org/r/268004

Krenair closed this task as Resolved.EditedFeb 12 2016, 1:26 AM
Krenair claimed this task.

Okay. So for future reference, we need to deploy the wikidataclient.dblist change *before* running addWiki.php, we need https://gerrit.wikimedia.org/r/#/c/270150/, and we may need to either:

  • Figure out how best to up the timeout, or
  • Begin scheduling wiki creations based on the search cluster's less busy times

so that CirrusSearch's updateSearchIndexConfig script doesn't timeout (while trying to connect between elastic nodes) and break everything.

Also, I need to track down that stupid bug in the newprojects list code (part of addWiki.php) that results in "for a in адыгабзэ" (missing "Wikipedia" between "a" and "in"). (Edit: This became T126705, where I decided that the stupid thing may in fact be me.)

Change 268697 merged by jenkins-bot:
Add ady language

https://gerrit.wikimedia.org/r/268697

Using the interwiki link ady: does not yet work.

Yeah, they changed the way the interwiki cache is stored and didn't leave any way to generate a new one in production.

Change 270327 had a related patch set uploaded (by Alex Monk):
Update interwiki.php for adywiki

https://gerrit.wikimedia.org/r/270327

Change 270327 merged by jenkins-bot:
Update interwiki.php for adywiki

https://gerrit.wikimedia.org/r/270327

So basically, after I'm done deploying the dumpInterwiki patch for it:

  • cd /srv/mediawiki-staging
  • mwscript extensions/WikimediaMaintenance/dumpInterwiki.php --protocolrelative > wmf-config/interwiki.php
  • Commit change, upload to gerrit for review
  • Review and merge
  • sync-file wmf-config/interwiki.php
Meno25 removed a subscriber: Meno25.Feb 14 2016, 5:41 PM